---
# tasks file for vpc_cf
- name: template cloudformation vpc stack
  template:
       src: cf_vpc.yml.j2
       dest: /tmp/cf_vpc.yml
  delegate_to: localhost

- name: put cloudformation rootstack into s3
  aws_s3:
      src: /tmp/cf_vpc.yml
      bucket: ccl-cloudservices-sandbox-01
      object: cf_vpc.yml
      mode: put
  register: cf_vpc
  delegate_to: localhost

- name: apply  vpc cloudformation template
  cloudformation:
       stack_name: "{{cf_vpc_stackname | default('cfvpc')}}"
       termination_protection: true
       region: "{{cf_vpc_region | default('ap-southeast-2') }}"
       disable_rollback: true
       template_url: "{{cf_vpc.url}}"
       tags: 
          Stack: "{{cf_vpc_stackname | default('cfvpc')}}"
          Owner: MCowie
          Name: vpc_CF
       template_parameters:
             PubSubnet1Cidrblock: "{{GraylogSubnet1Cidrblock | default('10.200.1.0/24') }}"
             PubSubnet2Cidrblock: "{{GraylogSubnet2Cidrblock | default('10.200.2.0/24') }}"
             PubSubnet3Cidrblock: "{{GraylogSubnet3Cidrblock | default('10.200.3.0/24') }}"
             VpcAz1: "{{GraylogVpcAz1 | default('ap-southeast-2a') }}"
             VpcAz2: "{{GraylogVpcAz2 | default('ap-southeast-2b') }}"
             VpcAz3: "{{GraylogVpcAz3 | default('ap-southeast-2c') }}"
             VpcCidrblock: "{{GraylogVpcCidrblock | default('10.200.0.0/16') }}"
             VpcDnssupport: "{{GraylogVpcDnssupport | default('True') }}"
             VpcEnablednshostnames: "{{GraylogVpcEnablednshostnames | default('True') }}"
